package fr.natan.akkastreamfileprocessingapi.futurecompleteness;


import scala.concurrent.Future;
import scala.concurrent.duration.Duration;

import java.util.concurrent.CompletableFuture;
import java.util.concurrent.Executors;



public class CompletableFutureResult<T> {

    public CompletableFuture<T> buildcompletableFuture(Future<T> futureT) {
        CompletableFuture<T> completableFuture = new CompletableFuture<>();
        T tt = (T) Executors.newSingleThreadExecutor().submit(() -> {
           while(!futureT.isCompleted()){
               Thread.sleep(500);
           }
            completableFuture.complete(futureT.value().get().get());
            return null;
        });

        return completableFuture;
    }

}
